トップページ -> コンピュータ設定 -> Ubuntu -> TTensorFlow 1.15(旧バージョン)のインストール(Ubuntu 18.04 上)
[サイトマップへ], [サイト内検索へ],

TensorFlow 1.15(旧バージョン)のインストール(Ubuntu 18.04 上)

サイト構成 連絡先,業績など コンピュータ実習 データの扱い コンピュータ活用 教材(公開) サポートページ

ユースケース:Ubuntu で TensorFlow バージョン 1.15(旧バージョン) を使いたい場合

※ TensorFlow 1.15 では CPU 版と GPU版が 1つのパッケージに統合されている.

サイト内の関連Webページ:

先人に感謝.

このWebページに記載しているプログラムは https://github.com/tensorflow/tensorflow#download-and-setup をもとに作成


前準備

Ubuntu のシステム更新

端末で,次のコマンドを実行.

sudo apt update
sudo apt -yV upgrade
sudo shutdown -r now

Python3 開発用ファイル,セットアップツール,pip,numpy のインストール

端末で,次のコマンドを実行.

sudo apt -yV install python3-dev python3-setuptools python3-pip python3-numpy

NVIDIA グラフィックスカードの確認とドライバのインストール,NVIDIA CUDA ツールキット,NVIDIA cuDNN 再配布パッケージのインストール

Ubuntu での手順は,「別のページ」で説明している. NVIDIA グラフィックスカードがある場合のみ行うこと.


TensorFlow 1.15(旧バージョン)のインストール

  1. 端末を開く

  2. pip を用いてインストール

    ※ TensorFlow 1.15 では CPU 版と GPU版が 1つのパッケージに統合されている.

    ※ 「pip install」は,Python パッケージをインストールするためのコマンド

    ※ 「==1.15」のところでバージョンを指定している.

    sudo python3 -m pip install --upgrade pip
    sudo pip3 install tensorflow==1.15
    

  3. その結果,エラーメッセージが出ていないことを確認.

  4. TensorFlow のバージョン確認

    端末で,次のコマンドを実行.

    ※ バージョン番号が表示されれば OK.

    python3 -c "import tensorflow as tf; print( tf.__version__ )"
    

    ここでエラーメッセージが出ることがある. tensorflow GPU 版に合致する NVIDIA CUDA ツールキットがインストールされていないことが原因かも知れない.

    次の Web ページには,pip を用いて TenforFlow をインストールするときの CUDA ツールキット,cuDNN SDK のバージョン指定の情報がある. 例えば,tenforflow 1.13 では・ CUDA ツールキットのバージョンは 10.0(10.1 は動かない),cuDNN SDK のバージョンは 7.4.1 以上の情報がある.

    https://www.tensorflow.org/install/gpu#pip_package


TensorFlow のプログラム例

    https://github.com/tensorflow/tensorflow に記載のサンプルプログラムを実行してみる

    Python プログラムを動かす.

    ※ そのために, Windows では,「python」コマンドやPythonランチャーである「py」を使う. Ubuntu では「python3」コマンドを使う. あるいは, PyCharmなどにある Python コンソールも便利である.



本サイトのサイトマップは,サイトマップのページをご覧下さい. 本サイト内の検索は,サイト内検索のページをご利用下さい.
問い合わせ先: 金子邦彦(かねこ くにひこ)